Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Solved: 2 Years, 6 Months, 1 Week ago I have to include two different JQuerys?
#1
Solved: 2 Years, 6 Months, 1 Week ago
In my headerinclude template, i have to include the jscript/jquery.js AND a version from the google or jquery website. If i remove either one from the headerinclude i will get returned an error in the console saying that "$ is not a function". The one from the jquery/google website MUST BE version 1.7.2 or else it will create a few more errors.


I am pretty sure having them both including is breaking a lot of stuff on my site at the same time. Here is the included jquery code, and this is only the jquery stuff that i am posting, not posting everything: 
<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/jquery.js?ver=1806"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/jquery.plugins.min.js?ver=1806"></script>
Reply
#2
Solved: 2 Years, 6 Months, 1 Week ago
what is your forum url ? exactly which MyBB version you are using & which theme ?

though multiple jQuery scripts can be used by adding no conflict code (#), I do not recommend it on MyBB forum.
Reply
#3
Solved: 2 Years, 6 Months, 1 Week ago
(04-28-2017, 12:25 PM).m. Wrote: what is your forum url ? exactly which MyBB version you are using & which theme ?

though multiple jQuery scripts can be used by adding no conflict code (#), I do not recommend it on MyBB forum.

I am using 1.8, forum URL is https://poisonspark.com

I am using a theme from 1.6 but i went through the templates using the default theme as a reference to make it 1.8 compatible, it just seems everything is conflicting with each other or something.

Previously the jeditable file wasn't be included which caused an error on showthread.php but now i included it and you can check the page source to see if it is included and it still seems to return errors saying that the .editable function doesn't exist.

(04-28-2017, 12:25 PM).m. Wrote: what is your forum url ? exactly which MyBB version you are using & which theme ?

though multiple jQuery scripts can be used by adding no conflict code (#), I do not recommend it on MyBB forum.

I apologize, i fixed it.

I found out that jQuery.noConflict(); was in a part of Euan's modal boxes headerinclude and once i removed that all errors were wipped.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)